//---------------------------------------------------------------------------
// Copyright (C) 1999 Dallas Semiconductor Corporation, All Rights Reserved.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL DALLAS SEMICONDUCTOR BE LIABLE FOR ANY CLAIM, DAMAGES
// OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//
// Except as contained in this notice, the name of Dallas Semiconductor
// shall not be used except as stated in the Dallas Semiconductor
// Branding Policy.
//---------------------------------------------------------------------------
//
//  SensorMainUn   - Header for 1-Wire Sensor main window
//
//  Compiler: C
//  Version: 1.00
//  Revisions:
//
#ifndef SensorMainUnH
#define SensorMainUnH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
//---------------------------------------------------------------------------
class TSensorMainForm : public TForm
{
__published:	// IDE-managed Components
   TTimer *ScanTimer;
   TMemo *ShowMemo;
   TPanel *TopPanel;
   TStatusBar *StatusBar;
   TMainMenu *MainMenu;
   TMenuItem *FileMenu;
   TMenuItem *ExitMenu;
   TMenuItem *AboutMenu;
   void __fastcall ScanTimerTimer(TObject *Sender);
   void __fastcall FormShow(TObject *Sender);
   int __fastcall PrintHeader(char *title);
   int __fastcall AddTag(uchar *tagdata, int taglen);
   void __fastcall PrintTagInfo(TAGType *tag);
   int __fastcall GetLocalTag(void);
   void __fastcall CheckTagRevs(void);
   void __fastcall SetStatus(char *msg);
   void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
   void __fastcall ExitMenuClick(TObject *Sender);
   void __fastcall AboutMenuClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
   __fastcall TSensorMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TSensorMainForm *SensorMainForm;
//---------------------------------------------------------------------------
#endif
