//---------------------------------------------------------------------------
// Copyright (C) 1999 Dallas Semiconductor Corporation, All Rights Reserved.
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included
// in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
// IN NO EVENT SHALL DALLAS SEMICONDUCTOR BE LIABLE FOR ANY CLAIM, DAMAGES
// OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//
// Except as contained in this notice, the name of Dallas Semiconductor
// shall not be used except as stated in the Dallas Semiconductor
// Branding Policy.
//---------------------------------------------------------------------------
//
//  clustun   - Header for 1-Wire cluster display window
//
//  Compiler: C
//  Version: 1.00
//  Revisions:
//

#include <vcl\vcl.h>
#pragma hdrstop

#include "clustun.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
__fastcall TClusterForm::TClusterForm(TComponent* Owner)
   : TForm(Owner)
{
   AOnTop = TRUE;
}

//---------------------------------------------------------------------------
// Start a new output.  Clear the back memo.
//
void __fastcall TClusterForm::StartOutput(void)
{
   // clear the bottom memo and set outer memo to red while changing
   if (AOnTop)
   {
      MemoB->Clear();
      MemoA->Font->Color = clMaroon;
      MemoB->Font->Color = clNavy;
   }
   else
   {
      MemoA->Clear();
      MemoB->Font->Color = clMaroon;
      MemoA->Font->Color = clNavy;
   }
}

//---------------------------------------------------------------------------
// End of output.  Bring finished memo to the front.
//
void __fastcall TClusterForm::EndOutput(void)
{
   if (AOnTop)
   {
      MemoB->BringToFront();
      if ((SizeLabel->Height * MemoB->Lines->Count) > MemoB->Height)
         Height += (SizeLabel->Height * MemoB->Lines->Count) + 25 - MemoB->Height;
   }
   else
   {
      MemoA->BringToFront();
      if ((SizeLabel->Height * MemoA->Lines->Count) > MemoA->Height)
         Height += (SizeLabel->Height * MemoA->Lines->Count) + 25 - MemoA->Height;
   }
   // toggle ontop flag
   AOnTop = !AOnTop;
}

//---------------------------------------------------------------------------
// End of output.  Bring finished memo to the front.
//
void __fastcall TClusterForm::AddOutput(AnsiString msg)
{
   if (AOnTop)
      MemoB->Lines->Add(msg);
   else
      MemoA->Lines->Add(msg);
}

//---------------------------------------------------------------------------
// Display status
//
void __fastcall TClusterForm::SetStatus(char *msg)
{
   if (!((msg[0] == '.') && (msg[1] == 0)))
      StatusBar->SetTextBuf(msg);
}


//---------------------------------------------------------------------------